Bug 253449 - net/x2goclient-cli - "setsid: not found"
Summary: net/x2goclient-cli - "setsid: not found"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-12 08:27 UTC by parv
Modified: 2021-06-19 15:19 UTC (History)
1 user (show)

See Also:
tobik: maintainer-feedback-
tobik: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description parv 2021-02-12 08:27:54 UTC
I installed net/x2goclient-cli on FreeBSD 12-STABLE (from Feb 1 2021; only COMPAT_* options in kernel are COMPAT_FREEBSD10 & COMPAT_FREEBSD11).

x2goclient-cli version installed is 3.0.1.1.2_2.

Starting it results in error messages of "setsid: not found" ...

  % x2goclientcli --user <user> --server <server>
  Password:
  sh: setsid: not found
  sh: setsid: not found
  sh: setsid: not found
  sh: setsid: not found
  sh: setsid: not found
Comment 1 parv 2021-06-04 10:05:28 UTC
I am not interested anymore in this. Close it or keep it open, don't care.
Comment 2 Tobias Kortkamp freebsd_committer 2021-06-04 10:53:27 UTC
(In reply to parv from comment #1)
How nice.

setsid is provided by sysutils/ssid. If x2goclient-cli needs it we should add it as a run dependency.
Comment 3 commit-hook freebsd_committer 2021-06-19 15:15:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5660dfa864eb4c72e71531dec6823d66a365c41e

commit 5660dfa864eb4c72e71531dec6823d66a365c41e
Author:     Tobias Kortkamp <tobik@FreeBSD.org>
AuthorDate: 2021-06-18 10:14:09 +0000
Commit:     Tobias Kortkamp <tobik@FreeBSD.org>
CommitDate: 2021-06-19 15:13:13 +0000

    net/x2goclient-cli: Add missing setsid dependency

     % x2goclient-cli --user <user> --server <server>
      Password:
      sh: setsid: not found
      sh: setsid: not found
      sh: setsid: not found
      sh: setsid: not found
      sh: setsid: not found

    PR:             253449
    Reported by:    parv.0zero9+freebsd@gmail.com
    Approved by:    maintainer timeout

 net/x2goclient-cli/Makefile | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-06-19 15:18:54 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=700466498a3c9c550882b91c9e9efec2ac533346

commit 700466498a3c9c550882b91c9e9efec2ac533346
Author:     Tobias Kortkamp <tobik@FreeBSD.org>
AuthorDate: 2021-06-18 10:14:09 +0000
Commit:     Tobias Kortkamp <tobik@FreeBSD.org>
CommitDate: 2021-06-19 15:17:55 +0000

    net/x2goclient-cli: Add missing setsid dependency

     % x2goclient-cli --user <user> --server <server>
      Password:
      sh: setsid: not found
      sh: setsid: not found
      sh: setsid: not found
      sh: setsid: not found
      sh: setsid: not found

    PR:             253449
    Reported by:    parv.0zero9+freebsd@gmail.com
    Approved by:    maintainer timeout

    (cherry picked from commit 5660dfa864eb4c72e71531dec6823d66a365c41e)

 net/x2goclient-cli/Makefile | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)